package com.cf.imes.module.executor.enums.manage.remainPlate;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 余料板放置枚举类
 */
@Getter
@AllArgsConstructor
public enum RemainPlatePlaceStyleEnum {

    ZERO(0, "正面"),
    ONE(1, "正面右转"),
    TWO(2, "正面后转"),
    THREE(3, "正面左转"),
    FOUR(4, "反面"),
    FIVE(5, "反面右转"),
    SIX(6, "反面后转"),
    SEVEN(7, "反面左转");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(RemainPlatePlaceStyleEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
